wxBoxSizer(3)

NAME
wxBoxSizer - The basic idea behind a box sizer is that windows will most often be laid out in rather simple basic geometry, typically in a row or a column or several hierarchies of either.

DESCRIPTION

For more information, please see overview_sizer_box.

See:

    • wxSizer

    • Overview sizer

This class is derived, and can use functions, from:

    • wxSizer

wxWidgets docs: wxBoxSizer

DATA TYPES

wxBoxSizer() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxBoxSizer()) -> ok.

    Destroys the object
getOrientation(This) -> integer() when This :: wxBoxSizer().

    Returns the orientation of the box sizer, either wxVERTICAL or wxHORIZONTAL.
new(Orient) -> wxBoxSizer() when Orient :: integer().

    Constructor for a wxBoxSizer.

    orient may be either of wxVERTICAL or wxHORIZONTAL for creating either a column sizer or a row sizer.